Bug 1304303 (CVE-2015-8803) - CVE-2015-8803 nettle: secp256 calculation bug
Summary: CVE-2015-8803 nettle: secp256 calculation bug
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2015-8803
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1304308 1304304 1304305 1304306 1304307 1305766 1314374
Blocks: 1304384
TreeView+ depends on / blocked
 
Reported: 2016-02-03 09:52 UTC by Andrej Nemec
Modified: 2019-09-29 13:43 UTC (History)
8 users (show)

Fixed In Version: nettle 3.2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-03 21:59:32 UTC


Attachments (Terms of Use)
Test case (1.14 KB, text/plain)
2016-02-09 07:55 UTC, Tomas Hoger
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2582 normal SHIPPED_LIVE Moderate: nettle security and bug fix update 2016-11-03 12:08:24 UTC

Description Andrej Nemec 2016-02-03 09:52:35 UTC
A mistake in the computation of elliptic curve scalar multiplications was found in nettle. The computation compiles a certain curve point with 1, which should not change the coordinates, however it does.

External reference:

https://lists.lysator.liu.se/pipermail/nettle-bugs/2015/003028.html

Upstream fix:

https://git.lysator.liu.se/nettle/nettle/commit/c71d2c9d20eeebb985e3872e4550137209e3ce4d

Comment 1 Andrej Nemec 2016-02-03 09:53:34 UTC
Created nettle tracking bugs for this issue:

Affects: fedora-all [bug 1304305]
Affects: epel-5 [bug 1304307]

Comment 2 Andrej Nemec 2016-02-03 09:53:40 UTC
Created mingw-nettle tracking bugs for this issue:

Affects: fedora-all [bug 1304304]
Affects: epel-7 [bug 1304308]

Comment 3 Andrej Nemec 2016-02-03 09:53:45 UTC
Created compat-nettle27 tracking bugs for this issue:

Affects: fedora-23 [bug 1304306]

Comment 5 Andrej Nemec 2016-02-03 13:08:37 UTC
CVE assignment:

http://seclists.org/oss-sec/2016/q1/273

Comment 6 Fedora Update System 2016-02-04 23:21:45 UTC
nettle-3.2-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Tomas Hoger 2016-02-09 07:55:53 UTC
Created attachment 1122346 [details]
Test case

Local copy of the test case that was posted to the upstream list:

https://lists.lysator.liu.se/pipermail/nettle-bugs/2015/003028.html

Comment 11 Fedora Update System 2016-02-15 02:53:23 UTC
mingw-gnutls-3.4.9-1.fc23, mingw-nettle-3.2-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2016-02-21 02:23:02 UTC
nettle-2.7.1-6.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2016-06-02 14:56:48 UTC
compat-nettle27-2.7.1-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 errata-xmlrpc 2016-11-03 19:30:55 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:2582 https://rhn.redhat.com/errata/RHSA-2016-2582.html


Note You need to log in before you can comment on or make changes to this bug.